Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.jersey.core.spi.component
Enum ComponentScope

    java.lang.Object
      java.lang.Enum<ComponentScope>
          com.sun.jersey.core.spi.component.ComponentScope

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ComponentScope>

    public enum ComponentScope

extends java.lang.Enum<ComponentScope>

The scope contract for a component.

Enum Constant Summary
`PerRequest` Declares that the scope of the component is per request whose instance is valid for the scope of the current HTTP request and response.
`Singleton` Declares the scope of the component is a singleton whose instance is valid for the scope of the running application.
`Undefined` Declares that the scope of the component is undefined.

Field Summary
`static java.util.List<ComponentScope>` | `PERREQUEST_UNDEFINED` A immutable list comprising of the scopes PerRequest and Undefined, in that order.
`static java.util.List<ComponentScope>` | `PERREQUEST_UNDEFINED_SINGLETON` A immutable list comprising of the scopes PerRequest, Undefined and Singleton, in that order.
`static java.util.List<ComponentScope>` | `UNDEFINED_SINGLETON` A immutable list comprising of the scopes Undefined and Singleton, in that order.

Method Summary
`static ComponentScope` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ComponentScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Singleton

    public static final ComponentScope Singleton

  Declares the scope of the component is a singleton whose instance is valid for the scope of the running application.

### PerRequest

    public static final ComponentScope PerRequest

  Declares that the scope of the component is per request whose instance is valid for the scope of the current HTTP request and response.

### Undefined

    public static final ComponentScope Undefined

  Declares that the scope of the component is undefined.

Field Detail

### UNDEFINED_SINGLETON

    public static final java.util.List<ComponentScope> UNDEFINED_SINGLETON

  A immutable list comprising of the scopes Undefined and Singleton, in that order.

### PERREQUEST_UNDEFINED_SINGLETON

    public static final java.util.List<ComponentScope> PERREQUEST_UNDEFINED_SINGLETON

  A immutable list comprising of the scopes PerRequest, Undefined and Singleton, in that order.

### PERREQUEST_UNDEFINED

    public static final java.util.List<ComponentScope> PERREQUEST_UNDEFINED

  A immutable list comprising of the scopes PerRequest and Undefined, in that order.

Method Detail

### values

    public static final ComponentScope[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ComponentScope c : ComponentScope.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ComponentScope valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.